Bug 247244 - [NEW PORT] security/vigenere: Vigenere cipher cryptography tool
Summary: [NEW PORT] security/vigenere: Vigenere cipher cryptography tool
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2020-06-14 00:53 UTC by Oliver Mahmoudi
Modified: 2020-06-18 06:59 UTC (History)
1 user (show)

See Also:


Attachments
shar file for new port: security/vigenere (1.42 KB, application/x-shellscript)
2020-06-14 00:53 UTC, Oliver Mahmoudi
no flags Details
updated shar archive for security/vigenere (1.38 KB, application/x-shellscript)
2020-06-17 21:03 UTC, Oliver Mahmoudi
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Mahmoudi 2020-06-14 00:53:24 UTC
Created attachment 215532 [details]
shar file for new port: security/vigenere

New port security/vigenere is an implementation of the Vigenere cipher encryption algorithm with an extension to all printable ASCII characters.
Comment 1 Fernando Apesteguía freebsd_committer 2020-06-16 11:39:51 UTC
Hi Oliver,

Thanks for the submission.

The first line:

# $FreeBSD$

is missing.

After adding that, please check portlint -AC (there are a number of minor issues).

Also WRKSRC already defaults to ${WRKDIR}/${PORTNAME}-${PORTVERSION} and can be remove.

Would you make the changes?
Comment 2 Fernando Apesteguía freebsd_committer 2020-06-16 11:51:11 UTC
Also,

Any chances of using the original Makefile to build and install de port instead of replicating the same logic in the port's Makefile?
Comment 3 Oliver Mahmoudi 2020-06-17 21:02:22 UTC
Hi Fernando,

I made the following changes to the port:

1. Added the "# $FreeBSD$" header.
2. Deleted a few whitespaces.

Now portlint no longer complains :)


Regarding using the original Makefile, I thought about that too, however,
there are a few issues related to that:

1. The Makefile uses gmake, which would require another dependency to be
pulled into the port.

2. FreeBSD's C compiler defaults to clang in these days, the Makefile assumes
gcc.

3. It is just a bare bones Makefile, that doesn't honour ${PREFIX} being set
to something other than /usr/local.

In other words, the original Makefile doesn't work right out of the box and
would have to be rewritten, more or less entirely. For these reasons, I think
that, building the port with the rules specified in the port's trunk is a whole
lot more efficient.

You'll find the updated port in the attachments.
 
Thanks!
Comment 4 Oliver Mahmoudi 2020-06-17 21:03:44 UTC
Created attachment 215677 [details]
updated shar archive for security/vigenere
Comment 5 commit-hook freebsd_committer 2020-06-18 06:58:16 UTC
A commit references this bug:

Author: fernape
Date: Thu Jun 18 06:57:45 UTC 2020
New revision: 539531
URL: https://svnweb.freebsd.org/changeset/ports/539531

Log:
  new port: security/vigenere: cipher algorithm tool

  vigenere is an implementation of the Vigenere cipher algorithm extended
  to the entire set of printable ASCII characters

  https://www.olivermahmoudi.com/programming/vigenere-cipher/

  PR:	247244
  Submitted by:	fbsd@olivermahmoudi.com

Changes:
  head/security/Makefile
  head/security/vigenere/
  head/security/vigenere/Makefile
  head/security/vigenere/distinfo
  head/security/vigenere/pkg-descr
Comment 6 Fernando Apesteguía freebsd_committer 2020-06-18 06:59:33 UTC
Committed,

Thanks!